> For the complete documentation index, see [llms.txt](https://docs.innopaas.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.innopaas.com/api-reference/whatsapp-business-api/webhook/hao-ma-zhi-liang-zhuang-tai.md).

# 号码质量状态

当提交的sender质量状态发生变动时触发该事件：whatsapp\_phone\_number\_quality\_update

| 字段                 | 数据类型   | 是否必填 | 描述                                                                                                                                                                                                                                                                   |
| ------------------ | ------ | ---- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| wabaId             | String | 是    | WabaId                                                                                                                                                                                                                                                               |
| displayPhoneNumber | String | 是    | sender 号码                                                                                                                                                                                                                                                            |
| <p>event<br></p>   | String | 是    | 消息传送限制改变或吞吐量改变事件**DOWNGRADE**:  表示该企业电话号码的消息限制已减少。**FLAGGED**:  表示如果该企业电话号码继续收到负面反馈，其消息传递质量将会下降。**ONBOARDING**:  表示该企业电话号码仍在注册中。**THROUGHPUT\_UPGRADE**:  表示该企业电话号码的吞吐量水平已提高到更高的吞吐量。**UNFLAGGED**:  表示如果该企业电话号码继续收到正面反馈，则有资格获得短信限制的增加。**UPGRADE**:  表示企业电话号码消息限制已增加。 |
| messageLimit       | String | 是    | 可选值：  **无限制**：即下发无发送条数限制  **0**: 表示该企业电话号码尚未用于发送消息。  **50**：表示消息限制为 50  **250**：表示消息限制为 250  **1000**：表示消息限制为 1,000  **10000**：表示消息限制为 10,000  **100000**：表示消息限制为 100,000                                                                                            |

<pre class="language-json"><code class="lang-json">{
    "id": "fd201190-50dc-4151-baec-1d16c8a704e1",
    "type": "whatsapp_phone_number_quality_update",
    "eventTime": "2023-10-16T13:04:57.644Z",
    "body": {
<strong>        "messageLimit": "100000",
</strong><strong>        "event": "UPGRADE",
</strong>        "displayPhoneNumber": "1086***36726376",
        "wabaId": "1101295***80569"
    }
}
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.innopaas.com/api-reference/whatsapp-business-api/webhook/hao-ma-zhi-liang-zhuang-tai.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
